#include "testlib.h"

using namespace std;

int main(int argc, char * argv[]) {
    registerTestlibCmd(argc, argv);
    int n = inf.readInt(), m = inf.readInt(), k = inf.readInt();
    for (int i = 0; i < m; ++i) {
        int s = inf.readInt(), f = inf.readInt(), a = inf.readInt();
    }
    int q = inf.readInt();
    for (int i = 0; i < q; ++i) {
        int ja = ans.readInt();
        int pa = ouf.readInt();
        if (ja != pa) {
            quitf(_wa, "%d-th number isn't right, expected %d, found %d", i, ja, pa);
        }
    }
    quitf(_ok, "all numbers are right");
}
